<template>
<div class="lboard-wrap">
    <div class="title">
      <h1>
        Leaderbord (Slap Corruptor)
      </h1>
      <span>
        <b>Season</b> : 2021/2022
      </span>
    </div>
  <div class="lboard">
    <table class="standings">
      <thead>
        <tr>
          <th><span>Rank</span></th>
          <th><span>Username</span></th>
          <th><span>Title</span></th>
          <th><span>Score</span></th>
        </tr>
      </thead>
      <tbody>
        <tr v-if="loading"><td class="loading">Loading...</td></tr>
        <tr v-for="(rank,index) in data" :key="index">
            <td>{{index+1}}</td>
            <td>{{rank.name}}</td>
            <td>{{rank.title ? rank.title : '-'}}</td>
            <td>{{rank.score}}</td>
        </tr>
      </tbody>
    </table>
  </div>
  </div>
</template>
<script>
import {getAllRank} from "../firebase"
export default {
    setup() {
      const {data, loading} = getAllRank()
      return {data ,loading}
    },
}
</script>

<style>
.lboard-wrap{
  height: 100vh;
  display: flex;
  flex-direction: column;

}
.lboard {
  width: 700px;
  margin: auto;
  height: 800px;
  overflow-y: auto;
}
.lboard-wrap .title{
    text-align: center;
    margin : auto;
    padding: 10px;
    display: flex;
    flex-direction: column;
}
.title span{
  background: #ff4e19;
  color : #fff;
  padding: 5px;
  margin: auto;
  border-radius: 4px;
  margin-top: 10px;

}

.lboard .title h1{
    margin-top: 10px;
    color : #323c50;
}
.lboard .standings{
  width: 100%;
  text-align: center;
  border-collapse: collapse;
  display:table;
  overflow-y: scroll;
  resize: vertical;
  -ms-overflow-style: none; /* IE and Edge */
  scrollbar-width: none; /* Firefox */
}

.standings th , .standings th span{
  color: #323c50;
  font-weight: bold;
	font-size: 13pt;
  background: #F4F4F5;
  text-align: center;
  height: 50px;
    position: sticky;
    top: 0;
    z-index: 10; 
}
.standings td {
  font-weight: normal;
  padding: 10px;
  border-bottom: 0.1px dashed #ff4f1952;

}
.standings .loading{
  border-bottom: none;
  padding: 10px 20px;
  background: none;
  border-left: none;

}

.standings tbody tr:nth-child(1){
  border-left: 5px solid #fee101;
}

.standings tbody tr:nth-child(2){
  border-left: 5px solid RGB(134, 156, 152);
  background-color: #F4F4F5;
}
.standings tbody tr:nth-child(3){
  border-left: 5px solid RGB(255, 140, 0)  
}


/* Background-color of the even rows */
.standings tr:nth-child(even) {
	background-color: #f7d9771a;
}
@media only screen and (max-width: 600px) {
.lboard {
  width: 100%;

}
  .lboard .standings{
    margin: auto;
    width: 90%;
    margin-top: 20px;
  }
  .lboard .title{
    font-size: 0.9rem;
}
}
</style>
